BareMetal API, REST: PrivateSubnet.GetPrivateSubnet
Returns the specific PrivateSubnet resource.
To get the list of available PrivateSubnet resources, make a [List] request.
https://google.aip.dev/130 --)
HTTP request
GET https://baremetal.api.cloud.yandex.net/baremetal/v2/clouds/{cloudId}/folders/{folderId}/privateSubnets/{privateSubnetId}
Path parameters
|
Field |
Description |
|
cloudId |
string Required field. ID of the parent cloud. To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request. |
|
folderId |
string Required field. ID of the parent folder. To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request. |
|
privateSubnetId |
string Required field. ID of the PrivateSubnet resource to return. To get the private subnet ID use a [PrivateSubnetService.List] request. |
Response
HTTP Code: 200 - OK
{
"privateSubnetId": "string",
"cloudId": "string",
"folderId": "string",
"name": "string",
"description": "string",
"state": "string",
"hardwarePoolId": "string",
"vrfOptions": {
"vrfId": "string",
"cidr": "string",
"dhcpOptions": {
"startIp": "string",
"endIp": "string"
},
"gatewayIp": "string"
},
"createTime": "string",
"updateTime": "string",
"annotations": "object",
"zoneId": "string"
}
A PrivateSubnet resource.
|
Field |
Description |
|
privateSubnetId |
string ID of the private subnet. |
|
cloudId |
string ID of the cloud that the private subnet belongs to. |
|
folderId |
string ID of the folder that the private subnet belongs to. |
|
name |
string Name of the public subnet. The string length in characters must be 2-63. Value must match the regular expression |
|
description |
string Optional description of the private subnet. The maximum string length in characters is 1024. |
|
state |
enum (State) State of the private subnet.
|
|
hardwarePoolId |
string ID of the hardware pool that the private subnet belongs to. The maximum string length in characters is 20. |
|
vrfOptions |
Optional VRF options for the private subnet. If missing, the private subnet will be unrouted, |
|
createTime |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
updateTime |
string (date-time) Update timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
annotations |
object (map<string, string>) Resource annotations as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
zoneId |
string ID of the availability zone where the server resides. |
VrfOptions
VRF options for the private subnet.
|
Field |
Description |
|
vrfId |
string ID of the VRF. |
|
cidr |
string CIDR block for the subnet. |
|
dhcpOptions |
DHCP options for the subnet. |
|
gatewayIp |
string Gateway IP address for the subnet. |
DhcpOptions
DHCP options for a subnet.
|
Field |
Description |
|
startIp |
string Start IP address of the DHCP range (inclusive). |
|
endIp |
string End IP address of the DHCP range (inclusive). |